LSW(1)

NAME
lsw - list child windows

SYNOPSIS
lsw [-arou] [wid ...]

DESCRIPTION
lsw lists child windows of the given window. If no windows are given, lsw lists the children of the root window.

By default, lsw lists only windows that are mapped (visible) and with the override_redirect value set to 0 (i.e., unignored).

-a  List all windows.

-r  Print the ID of the root window.

-o  List windows whose override_redirect attribute is set to 1.

-u  List unmapped (invisible) windows.

ENVIRONMENT
lsw acts on the X display specified by the DISPLAY variable.

SEE ALSO
ignw(1), mapw(1), xargs(1)